"{ Package: 'stx:goodies/xtreams/substreams/tests' }"

"{ NameSpace: Xtreams }"

TestCase subclass:#StitchingTest
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Xtreams-Substreams-Tests'
!


!StitchingTest methodsFor:'tests'!

test2SimpleReadStreams

	| stream contents |
	stream := (1 to: 5) reading, (6 to: 7) reading.
	contents := stream rest.
	self assert: contents = (1 to: 7)
!

test3SimpleReadStreams

	| stream contents |
	stream := (1 to: 5) reading, (6 to: 7) reading, (8 to: 10) reading.
	contents := stream rest.
	self assert: contents = (1 to: 10)
!

test3SimpleReadStreamsPrepending

	| stream contents |
	stream := (1 to: 5) reading, ((6 to: 7) reading, (8 to: 10) reading).
	contents := stream rest.
	self assert: contents = (1 to: 10)
! !

!StitchingTest class methodsFor:'documentation'!

version_SVN
    ^ '$Id$'
! !
